/*****************************************************************************
  FILE           : $Source: /home/mamier/bv/SNNS/SNNSv4.1/kernel/sources/RCS/init_f.h,v $
  SHORTNAME      : init_f
  SNNS VERSION   : 4.1

  PURPOSE        : public header
  NOTES          :

  AUTHOR         : Sven Doering
  DATE           : 

  CHANGED BY     : Sven Doering
  IDENTIFICATION : $State: Exp $ $Locker:  $
  RCS VERSION    : $Revision: 2.11 $
  LAST CHANGE    : $Date: 1995/11/20 10:20:22 $

             Copyright (c) 1990-1995  SNNS Group, IPVR, Univ. Stuttgart, FRG

******************************************************************************/
#ifndef _INIT_F_DEFINED_
#define  _INIT_F_DEFINED_


extern krui_err  INIT_randomizeWeights(float *parameterArray, int NoOfParams);
extern krui_err  INIT_RM_randomizeWeights(float*parameterArray,int NoOfParams);
extern krui_err  INIT_randomizeWeights_perc(float *parameterArray, int NoOfParams);
extern krui_err INIT_Weights_CPNv32(float *parameterArray, int NoOfParams);
extern krui_err INIT_Weights_CPNv33(float *parameterArray, int NoOfParams);
extern krui_err INIT_Weights_CPN_Rand_Pat(float *parameterArray, int NoOfParams);
extern void RbfInitSetCenter(int pattern_no, int sub_pat_no, struct Unit *hidden_unit, float deviation, float bias);
extern void RbfInitBPCenter(struct Unit *hidden_unit);
extern krui_err  RbfInitNetwork(int start_pat, int end_pat, float i_bias, float i_devi, float i_f_0, float i_f_1, float i_smooth, int init_type);
#ifdef RBF_INCLUDE_KOHONEN_CONVEX

extern void RbfKohonenConvexInit(int start_pattern,int end_pattern,float alpha_start,
	float alpha_increment,float learn_rate,int count);
#endif
extern krui_err RbfKohonenInit(int start_pattern, int end_pattern, float learn_rate, int count, int shuffle);
extern krui_err RbfStartInit(float *parameterArray, int NoOfParams, int init_type);
extern krui_err INIT_RBF_Weights(float *parameterArray, int NoOfParams);
extern krui_err INIT_RBF_Weights_redo(float *parameterArray, int NoOfParams);
extern krui_err INIT_RBF_Weights_kohonen(float *parameterArray, int NoOfParams);
extern krui_err INIT_Weights_ART1(float *parameterArray, int NoOfParams);
extern krui_err INIT_Weights_ART2(float *parameterArray, int NoOfParams);
extern krui_err INIT_Weights_ARTMAP(float *parameterArray, int NoOfParams);
extern krui_err INIT_CC_Weights(float *parameterArray, int NoOfParams);
extern krui_err INIT_RCC_Weights(float *parameterArray, int NoOfParams);
extern krui_err INIT_SOM_Rand_Pat(float *parameterArray, int NoOfParams);
extern krui_err INIT_SOM_Weights_v32(float *parameterArray, int NoOfParams);
extern krui_err INIT_SOM_Weights_const(float *parameterArray, int NoOfParams);
extern krui_err INIT_JE_Weights (float *parameterArray, int NoOfParams) ;


extern krui_err INIT_Hebb(float *parameterArray, int NoOfParams);
extern krui_err INIT_ClippHebb(float *parameterArray, int NoOfParams);
extern krui_err INIT_HOP_FixAct(float *parameterArray, int NoOfParams);
extern krui_err INIT_PseudoInv(float *parameterArray, int NoOfParams);
extern krui_err ENZO_noinit(void);
#endif 

/* 50 lines generated by deleteprivatedefinitions.awk */
